ResultSetField
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class ResultSetField

    java.lang.Object
      org.postgresql.pljava.jdbc.ResultSetField

    public class ResultSetField

extends java.lang.Object

Constructor Summary
`ResultSetField(java.lang.String name, Oid oid, int len)`
`ResultSetField(java.lang.String name, Oid oid, int len, int mod)`

Method Summary
`boolean` | `canContain(java.lang.Class cls)`
`java.lang.String` | `getColumnLabel()`
`java.lang.Class` | `getJavaClass()`
`int` | `getLength()`
`int` | `getMod()`
`Oid` | `getOID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultSetField

    public ResultSetField(java.lang.String name,
                          Oid oid,
                          int len,
                          int mod)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### ResultSetField

    public ResultSetField(java.lang.String name,
                          Oid oid,
                          int len)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### getOID

    public final Oid getOID()

### getJavaClass

    public final java.lang.Class getJavaClass()
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### canContain

    public final boolean canContain(java.lang.Class cls)
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getMod

    public final int getMod()

### getColumnLabel

    public final java.lang.String getColumnLabel()

### getLength

    public final int getLength()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT